Bug 488850 - devkit-disks --inhibit broken parameter handling
devkit-disks --inhibit broken parameter handling
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: DeviceKit-disks (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Blocker/F11FinalBlocker
  Show dependency treegraph
 
Reported: 2009-03-05 17:29 EST by Warren Togami
Modified: 2009-03-16 20:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-16 20:52:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2009-03-05 17:29:42 EST
DeviceKit-003-1

Bug #488756 DeviceKit interferes with livecd-creator

It was suggested that "devkit-disks --inhibit" be used to prevent GNOME from mounting the temporary device mapper device that can cause livecd-creator to fail.

    devkit-disks --inhibit -- /bin/true
This succeeds.

    devkit-disks --inhibit -- /bin/true -foo
This fails with:
Error launching program: Failed to execute child process "--" (No such file or directory)

devkit-disks isn't handling parameters properly.
Comment 1 Matthias Clasen 2009-03-06 01:00:31 EST
Here is the relevant quote from the g_option_context_parse() docs:

A '--' option is stripped from argv unless there are unparsed options before and after it, or some of the options after it start with '-'.
Comment 2 Matthias Clasen 2009-03-06 11:30:11 EST
I've put a patch in our rpm. Leaving this bug open so David sees it when he returns.
Comment 3 Matthias Clasen 2009-03-16 16:23:05 EDT
David, do you want to move this patch upstream and close this bug ?

Note You need to log in before you can comment on or make changes to this bug.